---
title: "Set Room Notifications"
slug: "set-room-notifications"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/set-room-notifications"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Set Room Notifications
Post/api/v1/rooms.saveNotification
Set the [notification settings](https://docs.rocket.chat/docs/room-actions#manage-room-notifications) of a specific room.
### Changelog
| Version | Description |
| --- | --- |
| 0.63.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "5of4weEXaH7yncxz9",
"notifications": {
"desktopNotifications": "all",
"disableNotifications": "0",
"emailNotifications": "nothing",
"audioNotificationValue": "beep",
"desktopNotificationDuration": "2",
"audioNotifications": "all",
"unreadAlert": "nothing",
"hideUnreadStatus": "0",
"mobilePushNotifications": "mentions"
}
}
```
Expand Allobject roomIdstring Required
The channel's id
notificationsobject Required
The object that contains the following parameters.
desktopNotificationsstring
The value for desktop notifications. The options are:
- nothing
- mentions
- all
- default
disableNotificationsstring
The value to disable/enable channel's notifications.
The options are:
- 0
- 1
emailNotificationsstring
The value for email notifications. The options are:
- nothing
- mentions
- all
- default
audioNotificationValuestring
The value for audio notification sound.
desktopNotificationDurationstring
The value for desktop notification duration.
audioNotificationsstring
The value for audio notifications.
The options are:
- nothing
- mentions
- all
- default
unreadAlertstring
The value for unread alerts notifications.
The options are:
- nothing
- mentions
- all
- default
hideUnreadStatusstring
The value to disable/enable number of unread messages. The options are:
- 0
- 1
mobilePushNotificationsstring
The value for mobile push notifications.
The options are:
- nothing
- mentions
- all
- default
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring